classification
Title: Document Argument Clinic
Type: Stage: resolved
Components: Build, Demos and Tools Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: larry Nosy List: brett.cannon, haypo, larry, ncoghlan, pitrou, python-dev
Priority: critical Keywords:

Created on 2013-11-20 00:24 by haypo, last changed 2014-01-05 02:21 by larry. This issue is now closed.

Messages (9)
msg203452 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2013-11-20 00:24
While modifying zlibmodule.c, Serhiy told me that argument clinic is now used in zlibmodule.c. Running "./python Tools/clinic/clinic.py -f Modules/zlibmodule.c" does modify the file, so I misuse argument clinic.

I saw Argument Clinic on Youtube but it didn't help...
http://www.youtube.com/watch?v=kQFKtI6gn9Y

Would it be possible to explain how to use clinic.py, explain the format, etc. in the Python documentation? Somewhere near Doc/c-api/.
msg203854 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2013-11-22 20:04
I think this is really necessary at some point.
How to start writing a function with Argument Clinic, etc.
msg203859 - (view) Author: Larry Hastings (larry) * (Python committer) Date: 2013-11-22 20:28
I quite agree.  My plan is to write a quick HOWTO for now to get
people up and running for now, then flesh it out into a full document.
But I'm working like crazy right now to get a couple things done
before beta.
msg203893 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2013-11-22 21:44
> I quite agree.  My plan is to write a quick HOWTO for now to get
> people up and running for now, then flesh it out into a full document.

Oh yes, I prefer a practical doc based on examples rather a full reference of the API.
msg203923 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2013-11-22 23:44
While it's still a private tool, something in the dev guide would be
appropriate, then it can be promoted to the regular docs if it becomes a
public capability in 3.5.
msg207309 - (view) Author: Roundup Robot (python-dev) Date: 2014-01-04 20:45
New changeset e2280bf5c263 by Larry Hastings in branch 'default':
Issue #19659: Added documentation for Argument Clinic.
http://hg.python.org/cpython/rev/e2280bf5c263
msg207310 - (view) Author: Larry Hastings (larry) * (Python committer) Date: 2014-01-04 20:45
I hid it in the howto directory.  Nobody'll look in there!  :D
msg207312 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2014-01-04 21:33
> I hid it in the howto directory.  Nobody'll look in there!  :D

I think using a dotfile would make the hiding more efficient.
msg207329 - (view) Author: Larry Hastings (larry) * (Python committer) Date: 2014-01-05 02:21
Doesn't help on Windows, junior!
History
Date User Action Args
2014-01-05 02:21:33larrysetmessages: + msg207329
2014-01-04 21:33:11pitrousetmessages: + msg207312
2014-01-04 20:45:59larrysetstatus: open -> closed
messages: + msg207310

assignee: larry
resolution: fixed
stage: resolved
2014-01-04 20:45:12python-devsetnosy: + python-dev
messages: + msg207309
2013-11-29 14:37:12brett.cannonsetnosy: + brett.cannon
2013-11-22 23:44:25ncoghlansetmessages: + msg203923
2013-11-22 21:44:18hayposetmessages: + msg203893
2013-11-22 20:28:26larrysetmessages: + msg203859
2013-11-22 20:04:53pitrousetpriority: normal -> critical
title: Document Argument Clinic? -> Document Argument Clinic
nosy: + ncoghlan, pitrou

messages: + msg203854

components: + Build, Demos and Tools
2013-11-20 00:24:40haypocreate